org.apache.ignite.internal.visor.log

## Class VisorLogSearchTask.VisorLogSearchArg

- java.lang.Object
- - org.apache.ignite.internal.visor.log.VisorLogSearchTask.VisorLogSearchArg

All Implemented Interfaces:
  Serializable

Enclosing class:
  VisorLogSearchTask

    public static class VisorLogSearchTask.VisorLogSearchArg
    extends Object
    implements Serializable

Arguments for `VisorLogSearchTask`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorLogSearchTask.VisorLogSearchArg(String searchStr, String folder, String filePtrn, int limit)`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorLogSearchTask.VisorLogSearchArg

    public VisorLogSearchTask.VisorLogSearchArg(String searchStr,
                                        String folder,
                                        String filePtrn,
                                        int limit)

Parameters:
  `searchStr` - Searched string.
  `folder` - Folder.
  `filePtrn` - File name search pattern.
  `limit` - Max number of results.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015